Skip to main content

POST Close Strategy

Close a specific strategy by ID NT8

Closes one NinjaScript strategy by its strategy ID.

Endpoint

POST /v1/api/accounts/{account}/strategies/{strategyId}/close

Headers

NameValue
Content-Typeapplication/json
AuthorizationBearer <token>

Path parameters

NameTypeRequiredDescription
accountstringRequiredName of account in NT8
strategyIdstringRequiredID of the strategy

Code examples

import requests

token = 'my-secret-strategy'

url = "https://dev.crosstrade.io/v1/api/accounts/Sim101/strategies/334081921/close"
headers = {
"Authorization": f"Bearer {token}",
"Content-Type": "application/json"
}
data = {}

try:
response = requests.post(url, headers=headers, json=data)
print(f"Response Code: {response.status_code}, Response Text: {response.text}")
except Exception as e:
print(f"An error occurred: {e}")

Response

{
"strategyId": "334081723",
"success": true
}

Platform nuances

Closing a strategy also closes its strategy-managed positions and orders.

WebSocket API

This request can also be made over the WebSocket API. The account and strategyId path parameters are passed inside args.

{
"action": "rpc",
"id": "my-request-id",
"api": "CloseStrategy",
"args": {
"account": "Sim101",
"strategyId": "my-strategy-id"
}
}